#pragma once

#include <Text.h>
#include <Server.h>
#include <InitDatei.h>

using namespace Framework;
using namespace Network;

class DateienEditor
{
private:
    Text pfad;
    Text workPfad;
    Text fehler;
    InitDatei *ini;
    int ref;

public:
    // Konstruktor
    DateienEditor( char *pf, InitDatei *zIni );
    // Destruktor
    ~DateienEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
    // Reference Counting
    DateienEditor *getThis();
    DateienEditor *release();
};